# Terraform setup for scaleway

This is a teraform setup for my LPI Labs. The servers are deployed in Scaleway.

## Prerequisites

* Install *Terraform* on your local host:

```
$ wget https://releases.hashicorp.com/terraform/0.11.7/terraform_0.11.7_linux_amd64.zip
$ unzip terraform_0.11.7_linux_amd64.zip
$ sudo cp terraform /usr/local/bin
```

## Instructions

* Get the repo

```
$ git clone https://git.theo-andreou.org/Personal/lpi-deploy-scaleway.git
$ cd lpi-deploy-scaleway
```

* Copy the *terraform.tfvars.example* to *terraform.tfvars* and setup your settings:

```
organization = "11223344-1122-1122-1122-112233445566"
token        = "99887766-9988-9988-9988-998877665544"

server_name = {
  "debian" = "lpi-deb"
  "centos" = "lpi-centos"
}

images = {
  "debian" = "0f805370-5622-40df-af56-ac4fcf554b77"
  "centos" = "d8c6f7b6-d1d1-47af-aa45-443989644b26"
}
```

* Initialize your *Terraform* environment:

```
$ terraform init
``` 

* Create a *Terraform* plan:

```
$ terraform plan -out lpi.plan
```

* Apply the plan:

```
$ terraform apply "lpi.plan"
```

## References
* https://www.terraform.io/docs/providers/scaleway/index.html
* https://scaleway.com
